Requests - Inbound emails API
Bu içerik henüz dilinizde mevcut değil.
Requests - Inbound emails API
Заголовок раздела «Requests - Inbound emails API»List inbound emails of a request
Заголовок раздела «List inbound emails of a request»List all inbound emails of a request with a specific ID.
GET /requests/:id/inbound_emailsResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 9, "created_at": "2024-03-14T07:32:38-05:00", "message_id": "<xyz>", "from": "beatrice.baldwin@widget.com", "to": "dc@r-service.tech", "subject": "Upgrade HP OpenView NNM to v10 (NNM10)", "body_start": "Our purchase department received a letter from HP announcing the End of Support for ...", "source_uri": "https://...", "note": { "id": 3848, "nodeID": "..." }, "failure_reason": null, "nodeID": "..." }, "..."]The response contains these fields by default.
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of inbound emails:
body_start
cc
created_at
failure_reason
from
id
message_id
note
source_uri
subject
to
Obtain a different set of fields using the ?fields= parameter .
Sorting
Заголовок раздела «Sorting»The collection of inbound emails is sorted
ascending
by
id
.
The following fields are accepted by the ?sort= parameter :
id
created_at
body_start
Readonly string — The first 255 characters of the body of the inbound email.
cc
Readonly string — The value of the CC field of the inbound email.
created_at
Readonly datetime — The date and time at which the inbound email was received.
failure_reason
Readonly string — When the inbound email did not process successfully, contains the reason why processing failed.
from
Readonly string — The sender of the inbound email.
id
Readonly integer — The unique ID of the inbound email.
message_id
Readonly
string
— The value of the Message-ID header of the inbound email. This value always starts with
<
and ends with
>
.
note
Readonly reference to Note — The note that was created from the inbound email.
source_uri
Readonly string — An expiring URL that can be used to access the source of the inbound email for a limited time.
subject
Readonly string — The subject of the inbound email.
to
Readonly string — The recipient of the inbound email.